Create payment
curl --request POST \
--url https://api.bitnbox.io/v1/payment \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"amount": 1,
"platformFeeByUser": true,
"currency": "<string>",
"network": "<string>",
"customerId": "<string>",
"customerIp": "<string>",
"orderId": "<string>",
"additionalData": "<string>",
"webhookUrl": "<string>"
}
'import requests
url = "https://api.bitnbox.io/v1/payment"
payload = {
"amount": 1,
"platformFeeByUser": True,
"currency": "<string>",
"network": "<string>",
"customerId": "<string>",
"customerIp": "<string>",
"orderId": "<string>",
"additionalData": "<string>",
"webhookUrl": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 1,
platformFeeByUser: true,
currency: '<string>',
network: '<string>',
customerId: '<string>',
customerIp: '<string>',
orderId: '<string>',
additionalData: '<string>',
webhookUrl: '<string>'
})
};
fetch('https://api.bitnbox.io/v1/payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "waiting",
"payAmount": 123,
"payAddress": "<string>",
"payQrCodeUri": "<string>",
"currency": "<string>",
"network": "<string>",
"customerId": "<string>",
"customerIp": "<string>",
"orderId": "<string>",
"platformFeeByUser": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"expiredAt": "2023-11-07T05:31:56Z",
"webhookUrl": "<string>",
"additionalData": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Payment
Create payment
Creates a payment link. You need to provide the amount and the currency of the payment in the request.
POST
/
v1
/
payment
Create payment
Authorizations
Body
application/json
Body
Payment creation request body
Amount in cryptocurrency
Required range:
x > 0Cryptocurrency type (btc, usdt, eth, etc)
Minimum string length:
1Cryptocurrency network
Customer ID (for security)
Minimum string length:
1Customer IP address (for security)
Minimum string length:
1Order id
Additional data
Webhook address
Response
201
Payment link creation successful
Unique payment identifier
Payment status
Available options:
waiting, confirming, failed, locked, rejected, expired, paid, paid_over, paid_partial Crypto AMOUNT+PERCENT
Payment address
URI for payment QR code
Cryptocurrency type (btc, usdt, eth, etc)
Minimum string length:
1Cryptocurrency network (e.g., erc20)
Customer ID (for security)
Minimum string length:
1Customer IP address (for security)
Minimum string length:
1Order id
Fee by user/merchant
Date of creation
Date of update
Date of expire
Webhook url
Additional data